using System;
using System.Collections.Generic;
using System.Linq;


class Cetvrti_Zatadak
{
    static void Main()
    {
        List<int> laboratorija = new List<int>();
        string[] niska = Console.ReadLine().Split(); int n = int.Parse(niska[0]); int k = int.Parse(niska[1]);
        List<int> izabrani_napitci = new List<int>();
        string[] n_napitaka = Console.ReadLine().Split();
        for (int i = 0; i < n; i++) { laboratorija.Add(int.Parse(n_napitaka[i])); }
        
        for (int i = 0; i < k; i ++) { 
            if(i <= k) { 
                if(i % 2 == 0) {
                    izabrani_napitci.Add(laboratorija.Max());
                    laboratorija.Remove(laboratorija.Max());
                }
                else {
                    izabrani_napitci.Add(laboratorija.Min());
                    laboratorija.Remove(laboratorija.Min());
                }
            }
        }

        for (int i = 0; i < k - 1; i ++) 
        {
            for(int j = 0; j < k; j++) {
                izabrani_napitci[j] -= izabrani_napitci[k - j - 1];
            }
        }

        Console.WriteLine(izabrani_napitci[0]);
    }
}